import { buildUseVueQuery } from "../../../vue-query";
import { createGetBalance, createGetOwner, createGetSupply, createGetNFTs, createGetNFT, createGetClass, createGetClasses } from "./query.rpc.func";
export const useGetBalance = buildUseVueQuery({
    builderQueryFn: createGetBalance,
    queryKeyPrefix: "BalanceQuery"
});
export const useGetOwner = buildUseVueQuery({
    builderQueryFn: createGetOwner,
    queryKeyPrefix: "OwnerQuery"
});
export const useGetSupply = buildUseVueQuery({
    builderQueryFn: createGetSupply,
    queryKeyPrefix: "SupplyQuery"
});
export const useGetNFTs = buildUseVueQuery({
    builderQueryFn: createGetNFTs,
    queryKeyPrefix: "NFTsQuery"
});
export const useGetNFT = buildUseVueQuery({
    builderQueryFn: createGetNFT,
    queryKeyPrefix: "NFTQuery"
});
export const useGetClass = buildUseVueQuery({
    builderQueryFn: createGetClass,
    queryKeyPrefix: "ClassQuery"
});
export const useGetClasses = buildUseVueQuery({
    builderQueryFn: createGetClasses,
    queryKeyPrefix: "ClassesQuery"
});
